PROGRAM whileloop

  IMPLICIT NONE
  REAL :: x

  x = 1.
  DO WHILE (x < 10.)
    x = x+2.
    WRITE(*,*) "x = ",x
  END DO
 
  WRITE(*,*) 'hit ENTER to continue'
  READ(*,*)  

!-- the same thing 
  x = 1.
  DO 
    IF (x >= 10.) EXIT
    x = x+2.
    WRITE(*,*) "x = ",x
  END DO

END PROGRAM whileloop
